
Redmine - Defect #15958

AnonymousUser class not found by plugin

2014-01-24 19:02 - Yehuda Katz

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.3.3

Description

Because the AnonymousUser class is in app/models/user.rb, plugins like http://www.redmine.org/plugins/anonymous-authors can't

autoload it. The temporary solution I used was to add autoload :AnonymousUser, "/full/path/to/redmine/app/models/user.rb" to the

plugin init.rb.

I think the correct solution would be to break AnonymousUser into its own file.

Related issues:

Related to Redmine - Feature #32938: Rails 6: Zeitwerk support Closed

History

#1 - 2022-01-11 15:02 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r21252 (#32938) for Redmine 5.0.0.

#2 - 2022-01-11 15:02 - Go MAEDA

- Related to Feature #32938: Rails 6: Zeitwerk support added
